logo
Alauda DevOps Pipelines Docs
English
简体中文
English
简体中文
logo
Alauda DevOps Pipelines Docs
导航

概览

介绍
架构
快速开始
生命周期策略
发版日志
特性概述

触发器

介绍
架构

核心概念

Tekton Triggers 核心概念
EventListener
触发器
Interceptor
TriggerBinding
TriggerTemplate
快速开始

实用指南

设置事件监听器
使用 GitLab 事件触发器
创建 TriggerTemplate

问题处理

Pipeline 未被自动触发
permissions

概念

TektonConfig
TektonPipeline
安装

升级

升级路径
升级 Alauda DevOps Pipelines Operator

配置

调整子组件的可选配置项
配置流水线组件的资源配额
Pod 模板配置指南
定期清理 TaskRun 和 PipelineRun 资源

How To

通过 TektonConfig 在 global 集群中部署 tekton-pipelines

管道

介绍
架构

概念

任务
TaskRuns
流水线
PipelineRuns
StepActions
解析器
工作空间
Pod 模板
快速开始

实用指南

调整 Dockerfile 构建适用于 Task 的自定义镜像
Specifying remote pipelines using hub resolvers
Specifying remote tasks using hub resolvers
使用 java-image-build-scan-deploy 管道

故障排查

在 Tekton 中使用自定义镜像时遇到容器创建失败的问题
在 run-script Task 中使用自定义镜像时遇到权限不够的问题
在 Tekton 中遇到无法使用多个基于 PVC 的工作区的问题
权限

结果

介绍
架构

核心概念

核心概念
深入理解 Tekton Results
快速开始
permissions

配置

数据库配置

供应链安全

介绍
架构

概念

核心概念
了解 Tekton Chains

快速开始

Getting Started
签名证明

实用指南

生成镜像签名并验证镜像完整性
构建系统溯源验证
源代码仓库验证
漏洞扫描和验证
Base Image and SBOM Verification
License Compliance Verification
Keyless Signing Verification

配置

链配置
链配置
Authentication for Chains
签名密钥配置

Hub

引言
架构

核心概念

概念
理解 Tekton Hub
权限描述

API Reference

介绍

Kubernetes APIs

Operator

TektonConfig [operator.tekton.dev/v1alpha1]
TektonInstallerSet [operator.tekton.dev/v1alpha1]
TektonPipeline [operator.tekton.dev/v1alpha1]
TektonTrigger [operator.tekton.dev/v1alpha1]
TektonChain [operator.tekton.dev/v1alpha1]
TektonHub [operator.tekton.dev/v1alpha1]
TektonResult [operator.tekton.dev/v1alpha1]
TektonInstallerSet [operator.tekton.dev/v1alpha1]
OpenShift Pipelines as Code [operator.tekton.dev/v1alpha1]

管道

Pipeline [tekton.dev/v1]
任务 [tekton.dev/v1]
PipelineRun [tekton.dev/v1]
TaskRun [tekton.dev/v1]
集群任务 [tekton.dev/v1]
运行 [tekton.dev/v1]
CustomRun [tekton.dev/v1]
StepAction [tekton.dev/v1]
VerificationPolicy [tekton.dev/v1alpha1]
ResolutionRequest [resolution.tekton.dev/v1beta1]

Triggers

触发器 [triggers.tekton.dev/v1beta1]
TriggerTemplate [triggers.tekton.dev/v1beta1]
EventListener [triggers.tekton.dev/v1beta1]
触发绑定 [triggers.tekton.dev/v1beta1]
拦截器 [triggers.tekton.dev/v1alpha1]
集群触发器绑定 [triggers.tekton.dev/v1beta1]
集群拦截器 [triggers.tekton.dev/v1alpha1]

高级 API

Results

Introduction to API Usage
Results 列表
结果详情
结果记录列表
Result logs 列表
📝 在 GitHub 上编辑此页
上一页Triggers
下一页TriggerTemplate [triggers.tekton.dev/v1beta1]

#触发器 [triggers.tekton.dev/v1beta1]

triggers.tekton.dev group

Trigger defines a mapping of an input event to parameters. This is used to extract information from events to be passed to TriggerTemplates within a Trigger.

v1alpha1 version
spec object

Spec holds the desired state of the Trigger

bindings []object required
apiversion string

APIVersion of the binding ref

kind string

Kind can only be provided if Ref is also provided. Defaults to TriggerBinding

name string

Name is the name of the binding param Mutually exclusive with Ref

ref string

Ref is a reference to a TriggerBinding kind. Mutually exclusive with Name

value string

Value is the value of the binding param. Can contain JSONPath Has to be pointer since "" is a valid value Required if Name is also specified.

interceptors []object

TriggerInterceptor provides a hook to intercept and pre-process events

bitbucket object

BitbucketInterceptor provides a webhook to intercept and pre-process events

eventTypes []string
secretRef object

SecretRef contains the information required to reference a single secret string This is needed because the other secretRef types are not cross-namespace and do not actually contain the "SecretName" field, which allows us to access a single secret value.

secretKey string
secretName string
cel object

CELInterceptor provides a webhook to intercept and pre-process events

filter string
overlays []object

CELOverlay provides a way to modify the request body using DeprecatedCEL expressions

expression string
key string
github object

Deprecated old fields below

eventTypes []string
secretRef object

SecretRef contains the information required to reference a single secret string This is needed because the other secretRef types are not cross-namespace and do not actually contain the "SecretName" field, which allows us to access a single secret value.

secretKey string
secretName string
gitlab object

GitLabInterceptor provides a webhook to intercept and pre-process events

eventTypes []string
secretRef object

SecretRef contains the information required to reference a single secret string This is needed because the other secretRef types are not cross-namespace and do not actually contain the "SecretName" field, which allows us to access a single secret value.

secretKey string
secretName string
name string

Optional name to identify the current interceptor configuration

params []object

InterceptorParams defines a key-value pair that can be passed on an interceptor

name string required
value required
ref object required

Ref refers to the Interceptor to use

apiVersion string

API version of the referent

kind string

InterceptorKind indicates the kind of the Interceptor, namespaced or cluster scoped.

name string

Name of the referent; More info: http://kubernetes.io/docs/user-guide/identifiers#names

webhook object

WebhookInterceptor refers to an old style webhook interceptor service

header []object

Param declares an ParamValues to use for the parameter called name.

name string required
value object required

ParamValue is a type that can hold a single string or string array. Used in JSON unmarshalling so that a single JSON field can accept either an individual string or an array of strings.

objectRef object

ObjectRef is a reference to an object that will resolve to a cluster DNS name to use as the EventInterceptor. Either objectRef or url can be specified

apiVersion string

API version of the referent.

fieldPath string

If referring to a piece of an object instead of an entire object, this string should contain a valid JSON/Go field access statement, such as desiredState.manifest.containers[2]. For example, if the object reference is to a container within a pod, this would take on a value like: "spec.containers{name}" (where "name" refers to the name of the container that triggered the event) or if no container name is specified "spec.containers[2]" (container with index 2 in this pod). This syntax is chosen only to have some well-defined way of referencing a part of an object.

kind string

Kind of the referent. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

name string

Name of the referent. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names/#names

namespace string

Namespace of the referent. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/namespaces/

resourceVersion string

Specific resourceVersion to which this reference is made, if any. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#concurrency-control-and-consistency

uid string

UID of the referent. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names/#uids

url string
name string
serviceAccountName string

ServiceAccountName optionally associates credentials with each trigger; Unlike EventListeners, this should be scoped to the same namespace as the Trigger itself

template object required
apiversion string
ref string
spec object

TriggerTemplateSpec holds the desired state of TriggerTemplate

params []object

ParamSpec defines an arbitrary named input whose value can be supplied by a Param.

default string

Default is the value a parameter takes if no input value via a Param is supplied.

description string

Description is a user-facing description of the parameter that may be used to populate a UI.

name string required

Name declares the name by which a parameter is referenced.

resourcetemplates []object

TriggerResourceTemplate describes a resource to create

Trigger defines a mapping of an input event to parameters. This is used to extract information from events to be passed to TriggerTemplates within a Trigger.

v1beta1 version
spec object

Spec holds the desired state of the Trigger

bindings []object required
apiversion string

APIVersion of the binding ref

kind string

Kind can only be provided if Ref is also provided. Defaults to TriggerBinding

name string

Name is the name of the binding param Mutually exclusive with Ref

ref string

Ref is a reference to a TriggerBinding kind. Mutually exclusive with Name

value string

Value is the value of the binding param. Can contain JSONPath Has to be pointer since "" is a valid value Required if Name is also specified.

interceptors []object

TriggerInterceptor provides a hook to intercept and pre-process events

name string

Optional name to identify the current interceptor configuration

params []object

InterceptorParams defines a key-value pair that can be passed on an interceptor

name string required
value required
ref object required

Ref refers to the Interceptor to use

apiVersion string

API version of the referent

kind string

InterceptorKind indicates the kind of the Interceptor, namespaced or cluster scoped.

name string

Name of the referent; More info: http://kubernetes.io/docs/user-guide/identifiers#names

webhook object

WebhookInterceptor refers to an old style webhook interceptor service

header []object

Param declares an ParamValues to use for the parameter called name.

name string required
value object required

ParamValue is a type that can hold a single string or string array. Used in JSON unmarshalling so that a single JSON field can accept either an individual string or an array of strings.

objectRef object

ObjectRef is a reference to an object that will resolve to a cluster DNS name to use as the EventInterceptor. Either objectRef or url can be specified

apiVersion string

API version of the referent.

fieldPath string

If referring to a piece of an object instead of an entire object, this string should contain a valid JSON/Go field access statement, such as desiredState.manifest.containers[2]. For example, if the object reference is to a container within a pod, this would take on a value like: "spec.containers{name}" (where "name" refers to the name of the container that triggered the event) or if no container name is specified "spec.containers[2]" (container with index 2 in this pod). This syntax is chosen only to have some well-defined way of referencing a part of an object.

kind string

Kind of the referent. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

name string

Name of the referent. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names/#names

namespace string

Namespace of the referent. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/namespaces/

resourceVersion string

Specific resourceVersion to which this reference is made, if any. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#concurrency-control-and-consistency

uid string

UID of the referent. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names/#uids

url string
name string
serviceAccountName string

ServiceAccountName optionally associates credentials with each trigger; Unlike EventListeners, this should be scoped to the same namespace as the Trigger itself

template object required
apiversion string
ref string
spec object

TriggerTemplateSpec holds the desired state of TriggerTemplate

params []object

ParamSpec defines an arbitrary named input whose value can be supplied by a Param.

default string

Default is the value a parameter takes if no input value via a Param is supplied.

description string

Description is a user-facing description of the parameter that may be used to populate a UI.

name string required

Name declares the name by which a parameter is referenced.

resourcetemplates []object

TriggerResourceTemplate describes a resource to create